#!/bin/sh
#
# weatherng.sh
#
# source: vdr-plugin weatherng
#

# To use this examples of urls , you must have the permission of owner to download and
# use them. Otherwise you must change the URLs. See README or README.DE.

# Change SETUPDIR if you need (Path to $VDRCONFIG [setup.con].
SETUPDIR=/video/vdrconf

# Rappel des sites
#FRXX0018 Bourges
#FRXX0207 Alencon
#FRXX0020 Caen

ID1=$1
ID2=$2
ID3=$3

## Put your par and key here !! example KEY="jhsbndmjk34xyz123"
PAR="1010895639"
KEY="a87cc1523bd9ea7f"

MESG='Téléchargement des données météo terminé'
URLS=(\
	http://meteo.france3.fr/img/f3-france-512x384-j0pm.jpg \
	http://meteo.france3.fr/img/f3-paris-ile_de_france-centre-512x384-j0pm.jpg \
	http://meteo.france3.fr/img/f3-paris-ile_de_france-centre-512x384-j1am.jpg \
	http://meteo.france3.fr/img/f3-paris-ile_de_france-centre-512x384-j1pm.jpg \
	http://meteo.france3.fr/img/f3-paris-ile_de_france-centre-512x384-j2am.jpg \
	http://meteo.france3.fr/img/f3-europe-512x384-j0pm.jpg \
	)

for i in $(seq 0 9) ; do
    eval ${URLS[$i]:+ wget -t 4 -T 20 "${URLS[$i]}" -O "$SETUPDIR/plugins/weatherng/pic${i}"}
#    convert "$SETUPDIR/plugins/weatherng/pic${i}" pic${i}.xpm
done

wget -t 4 -T 20 "http://xoap.weather.com/weather/local/$ID1?cc=*&unit=m&dayf=10&prod=xoap&link=xoap&par=$PAR&key=$KEY" -O "$SETUPDIR/plugins/weatherng/data1.xml"
wget -t 4 -T 20 "http://xoap.weather.com/weather/local/$ID2?cc=*&unit=m&dayf=10&prod=xoap&link=xoap&par=$PAR&key=$KEY" -O "$SETUPDIR/plugins/weatherng/data2.xml"
wget -t 4 -T 20 "http://xoap.weather.com/weather/local/$ID3?cc=*&unit=m&dayf=10&prod=xoap&link=xoap&par=$PAR&key=$KEY" -O "$SETUPDIR/plugins/weatherng/data3.xml"

echo $MESG
